#include "mainwindow.h"
#include "ui_mainwindow.h"
#include "analogclock.h"
#include <QProcess>
#include <QIcon>
#include <QtXml/QDomDocument>
#include <QFile>
#include <QMessageBox>
#include <QTimer>
#include <QTextStream>






int obyvacka_svetlo_1=0;
int obyvacka_svetlo_2=0;
int obyvacka_svetlo_3=0;
int obyvacka_svetlo_4=0;
int obyvacka_svetlo_5=0;
int obyvacka_svetlo_6=0;
int obyvacka_svetlo_7=0;
int obyvacka_svetlo_8=0;
int obyvacka_roleta_1=0;
int obyvacka_roleta_2=0;
int obyvacka_roleta_3=0;
int obyvacka_teplota=0;

int kuchyna_svetlo_1=0;
int kuchyna_svetlo_2=0;
int kuchyna_svetlo_3=0;
int kuchyna_svetlo_4=0;
int kuchyna_roleta_1=0;
int kuchyna_roleta_2=0;
int kuchyna_roleta_3=0;

int chodba_svetlo_1=0;

int kupelna_svetlo_1=0;

int spalna_svetlo_1=0;

double screensaver= 60000;
QTimer *timer;




MainWindow::MainWindow(QWidget *parent) :
    QMainWindow(parent),
    ui(new Ui::MainWindow)
{
    ui->setupUi(this);












    //nacitanie suboru
    QFile* file = new QFile("XML/data.xml");
    // error message
        if (!file->open(QIODevice::ReadWrite | QIODevice::Text)) {
            QMessageBox::critical(this,
                                  "QXSRExample::parseXML",
                                  "Couldn't open data.xml",
                                  QMessageBox::Ok);

        }

    QDomDocument doc("mydocument");
        if (!doc.setContent(file))
           {

           }

        //korenovy element
     QDomElement docElem = doc.documentElement();

     QString rootTag = docElem.tagName(); 

     QDomElement obyvacka = docElem.firstChildElement("obyvacka");
     QDomNodeList svetla = obyvacka.elementsByTagName("svetlo");
     QDomNodeList rolety = obyvacka.elementsByTagName("roleta");

     QDomElement svetlo = svetla.at(0).toElement();
     QDomNode entry_svetlo= svetlo.firstChild();
     QDomElement svetloData = entry_svetlo.toElement();
     QString text = svetloData.text();
     obyvacka_svetlo_1=text.toInt();

     svetlo = svetla.at(1).toElement();
     entry_svetlo = svetlo.firstChild();
     svetloData = entry_svetlo.toElement();
     text = svetloData.text();
     obyvacka_svetlo_2=text.toInt();

     svetlo = svetla.at(2).toElement();
     entry_svetlo = svetlo.firstChild();
     svetloData = entry_svetlo.toElement();
     text = svetloData.text();
     obyvacka_svetlo_3=text.toInt();

     svetlo = svetla.at(3).toElement();
     entry_svetlo = svetlo.firstChild();
     svetloData = entry_svetlo.toElement();
     text = svetloData.text();
     obyvacka_svetlo_4=text.toInt();

     svetlo = svetla.at(4).toElement();
     entry_svetlo = svetlo.firstChild();
     svetloData = entry_svetlo.toElement();
     text = svetloData.text();
     obyvacka_svetlo_5=text.toInt();

     svetlo = svetla.at(5).toElement();
     entry_svetlo = svetlo.firstChild();
     svetloData = entry_svetlo.toElement();
     text = svetloData.text();
     obyvacka_svetlo_6=text.toInt();

     svetlo = svetla.at(6).toElement();
     entry_svetlo = svetlo.firstChild();
     svetloData = entry_svetlo.toElement();
     text = svetloData.text();
     obyvacka_svetlo_7=text.toInt();

     svetlo = svetla.at(7).toElement();
     entry_svetlo = svetlo.firstChild();
     svetloData = entry_svetlo.toElement();
     text = svetloData.text();
     obyvacka_svetlo_8=text.toInt();

     QDomElement roleta = rolety.at(0).toElement();
     QDomNode entry_roleta = roleta.firstChild();
     QDomElement roletaData = entry_roleta.toElement();
     QString text_roleta = roletaData.text();
     obyvacka_roleta_1=text_roleta.toInt();

     roleta = rolety.at(1).toElement();
     entry_roleta = roleta.firstChild();
     roletaData = entry_roleta.toElement();
     text_roleta = roletaData.text();
     obyvacka_roleta_2=text_roleta.toInt();

     roleta = rolety.at(2).toElement();
     entry_roleta = roleta.firstChild();
     roletaData = entry_roleta.toElement();
     text_roleta = roletaData.text();
     obyvacka_roleta_3=text_roleta.toInt();


     QDomElement kuchyna = docElem.firstChildElement("kuchyna");
     svetla = kuchyna.elementsByTagName("svetlo");
     rolety = kuchyna.elementsByTagName("roleta");

     svetlo = svetla.at(0).toElement();
     entry_svetlo = svetlo.firstChild();
     svetloData = entry_svetlo.toElement();
     text = svetloData.text();
     kuchyna_svetlo_1=text.toInt();

     svetlo = svetla.at(1).toElement();
     entry_svetlo = svetlo.firstChild();
     svetloData = entry_svetlo.toElement();
     text = svetloData.text();
     kuchyna_svetlo_2=text.toInt();

     svetlo = svetla.at(2).toElement();
     entry_svetlo = svetlo.firstChild();
     svetloData = entry_svetlo.toElement();
     text = svetloData.text();
     kuchyna_svetlo_3=text.toInt();

     svetlo = svetla.at(3).toElement();
     entry_svetlo = svetlo.firstChild();
     svetloData = entry_svetlo.toElement();
     text = svetloData.text();
     kuchyna_svetlo_4=text.toInt();

     roleta = rolety.at(0).toElement();
     entry_roleta = roleta.firstChild();
     roletaData = entry_roleta.toElement();
     text_roleta = roletaData.text();
     kuchyna_roleta_1=text_roleta.toInt();

     roleta = rolety.at(1).toElement();
     entry_roleta = roleta.firstChild();
     roletaData = entry_roleta.toElement();
     text_roleta = roletaData.text();
     kuchyna_roleta_2=text_roleta.toInt();

     roleta = rolety.at(2).toElement();
     entry_roleta = roleta.firstChild();
     roletaData = entry_roleta.toElement();
     text_roleta = roletaData.text();
     kuchyna_roleta_3=text_roleta.toInt();

     QDomElement chodba = docElem.firstChildElement("chodba");
     svetla = chodba.elementsByTagName("svetlo");

     svetlo = svetla.at(0).toElement();
     entry_svetlo = svetlo.firstChild();
     svetloData = entry_svetlo.toElement();
     text = svetloData.text();
     chodba_svetlo_1=text.toInt();

     QDomElement spalna = docElem.firstChildElement("spalna");
     svetla = spalna.elementsByTagName("svetlo");

     svetlo = svetla.at(0).toElement();
     entry_svetlo = svetlo.firstChild();
     svetloData = entry_svetlo.toElement();
     text = svetloData.text();
     spalna_svetlo_1=text.toInt();

     QDomElement kupelna = docElem.firstChildElement("kupelna");
     svetla = kupelna.elementsByTagName("svetlo");

     svetlo = svetla.at(0).toElement();
     entry_svetlo = svetlo.firstChild();
     svetloData = entry_svetlo.toElement();
     text = svetloData.text();
     kupelna_svetlo_1=text.toInt();


     timer = new QTimer(this);
     connect(timer,SIGNAL(timeout()),this,SLOT(on_toolButton_budik_clicked()));
     timer->start(screensaver);

    ui->frame_ovladanie->hide();
    ui->frame_izby->hide();
    ui->frame_obyvacka->hide();
    ui->frame_kuchyna->hide();
    ui->frame_osvetlenie->hide();
    ui->frame_rolety->hide();
    ui->frame_hodiny->hide();



    ui->pushButton_svetlo7_2->hide();
    ui->pushButton_svetlo1_2->hide();
    ui->pushButton_svetlo2_2->hide();
    ui->pushButton_svetlo3_2->hide();
    ui->pushButton_svetlo4_2->hide();
    ui->pushButton_svetlo5_2->hide();
    ui->pushButton_svetlo6_2->hide();
    ui->pushButton_svetlo8_2->hide();


    ui->pushButton_svetlo1_6->hide();
    ui->pushButton_svetlo2_6->hide();
    ui->pushButton_svetlo3_6->hide();
    ui->pushButton_svetlo4_6->hide();


    ui->pushButton_obyvacka_svetlo_1_0->hide();
    ui->pushButton_obyvacka_svetlo_1_1->hide();
    ui->pushButton_obyvacka_svetlo_2_0->hide();
    ui->pushButton_obyvacka_svetlo_2_1->hide();
    ui->pushButton_obyvacka_svetlo_3_0->hide();
    ui->pushButton_obyvacka_svetlo_3_1->hide();
    ui->pushButton_obyvacka_svetlo_4_0->hide();
    ui->pushButton_obyvacka_svetlo_4_1->hide();
    ui->pushButton_obyvacka_svetlo_5_0->hide();
    ui->pushButton_obyvacka_svetlo_5_1->hide();
    ui->pushButton_obyvacka_svetlo_6_0->hide();
    ui->pushButton_obyvacka_svetlo_6_1->hide();
    ui->pushButton_obyvacka_svetlo_7_0->hide();
    ui->pushButton_obyvacka_svetlo_7_1->hide();
    ui->pushButton_obyvacka_svetlo_8_0->hide();
    ui->pushButton_obyvacka_svetlo_8_1->hide();

    ui->pushButton_kuchyna_svetlo_1_0->hide();
    ui->pushButton_kuchyna_svetlo_1_1->hide();
    ui->pushButton_kuchyna_svetlo_2_0->hide();
    ui->pushButton_kuchyna_svetlo_2_1->hide();
    ui->pushButton_kuchyna_svetlo_3_0->hide();
    ui->pushButton_kuchyna_svetlo_3_1->hide();
    ui->pushButton_kuchyna_svetlo_4_0->hide();
    ui->pushButton_kuchyna_svetlo_4_1->hide();

    ui->pushButton_chodba_svetlo_1_0->hide();
    ui->pushButton_chodba_svetlo_1_1->hide();
    ui->pushButton_kupelna_svetlo_1_0->hide();
    ui->pushButton_kupelna_svetlo_1_1->hide();
    ui->pushButton_spalna_svetlo_1_0->hide();
    ui->pushButton_spalna_svetlo_1_1->hide();


}




MainWindow::~MainWindow()
{
    delete ui;
}






QProcess *proc; // pointer definition


void MainWindow::tablet()
{



        proc = new QProcess( this ); // memory allocation from heap, created with parent
        proc->start("exe/tablet"); // start program


}

void MainWindow::skript()
{





      proc = new QProcess( this ); 
      proc->start("exe/test.sh"); 


}

void MainWindow::kalkulacka()
{

   proc = new QProcess( this ); 

   QString cesta="exe/calculator";


   proc->start(cesta); 


}


void MainWindow::on_toolButton_zaznam_clicked()
{

skript();


}

void MainWindow::on_toolButton_budik_clicked()
{

ui->frame_hodiny->show();
ui->frame_menu->hide();
ui->frame_osvetlenie->hide();
ui->frame_kuchyna->hide();
ui->frame_rolety->hide();
}

void MainWindow::on_toolButton_hudba_clicked()
{

}

void MainWindow::on_toolButton_spat1_clicked()
{
    ui->frame_ovladanie->hide();
    ui->toolButton_poznamky->show();
    ui->toolButton_kalkulacka->show();
    ui->toolButton_zaznam->show();
    ui->toolButton_ovladanie->show();
    ui->toolButton_hudba->show();
    ui->toolButton_budik->show();
}

void MainWindow::on_toolButton_ovladanie_clicked()
{
    ui->toolButton_poznamky->hide();
    ui->toolButton_kalkulacka->hide();
    ui->toolButton_zaznam->hide();
    ui->toolButton_ovladanie->hide();
    ui->toolButton_hudba->hide();
    ui->toolButton_budik->hide();
    ui->frame_ovladanie->show();
}

void MainWindow::on_toolButton_izby_clicked()
{
    ui->toolButton_osvetlenie->hide();
    ui->toolButton_rolety->hide();
    ui->toolButton_teplota->hide();
    ui->toolButton_spat1->hide();
    ui->toolButton_izby->hide();
    ui->frame_izby->show();
}

void MainWindow::on_toolButton_spat2_clicked()
{
    ui->frame_izby->hide();
    ui->toolButton_osvetlenie->show();
    ui->toolButton_rolety->show();
    ui->toolButton_teplota->show();
    ui->toolButton_spat1->show();
    ui->toolButton_izby->show();
}

void MainWindow::on_toolButton_spat3_clicked()
{
    ui->frame_obyvacka->hide();
    ui->toolButton_obyvacka->show();
    ui->toolButton_chodba->show();
    ui->toolButton_spalna->show();
    ui->toolButton_bazen->show();
    ui->toolButton_janko->show();
    ui->toolButton_evka->show();
    ui->toolButton_hostovska->show();
    ui->toolButton_garaz->show();
    ui->toolButton_kuchyna->show();
    ui->toolButton_kupelna->show();
    ui->toolButton_spat2->show();

}

void MainWindow::on_toolButton_obyvacka_clicked()
{
    ui->toolButton_obyvacka->hide();
    ui->toolButton_chodba->hide();
    ui->toolButton_spalna->hide();
    ui->toolButton_bazen->hide();
    ui->toolButton_janko->hide();;
    ui->toolButton_evka->hide();
    ui->toolButton_hostovska->hide();;
    ui->toolButton_garaz->hide();
    ui->toolButton_kuchyna->hide();
    ui->toolButton_kupelna->hide();
    ui->toolButton_spat2->hide();
    ui->frame_obyvacka->show();
    ui->lcdNumber_teplota_4->display(obyvacka_teplota);
    ui->verticalSlider_obyvacka1->setValue(obyvacka_roleta_1);
    ui->verticalSlider_obyvacka2->setValue(obyvacka_roleta_2);
    ui->verticalSlider_obyvacka3->setValue(obyvacka_roleta_3);
    if(obyvacka_svetlo_1==0)
    {
        ui->pushButton_svetlo1->show();
        ui->pushButton_svetlo1_2->hide();
    }
    else
    {
        ui->pushButton_svetlo1_2->show();
        ui->pushButton_svetlo1->hide();
    }
    if(obyvacka_svetlo_6==0)
    {
        ui->pushButton_svetlo6->show();
        ui->pushButton_svetlo6_2->hide();
    }
    else
    {
        ui->pushButton_svetlo6_2->show();
        ui->pushButton_svetlo6->hide();
    }

    if(obyvacka_svetlo_2==0)
    {
        ui->pushButton_svetlo2->show();
        ui->pushButton_svetlo2_2->hide();
    }
    else
    {
        ui->pushButton_svetlo2_2->show();
        ui->pushButton_svetlo2->hide();
    }
    if(obyvacka_svetlo_3==0)
    {
        ui->pushButton_svetlo3->show();
        ui->pushButton_svetlo3_2->hide();
    }
    else
    {
        ui->pushButton_svetlo3_2->show();
        ui->pushButton_svetlo3->hide();
    }
    if(obyvacka_svetlo_4==0)
    {
        ui->pushButton_svetlo4->show();
        ui->pushButton_svetlo4_2->hide();
    }
    else
    {
        ui->pushButton_svetlo4_2->show();
        ui->pushButton_svetlo4->hide();
    }
    if(obyvacka_svetlo_5==0)
    {
        ui->pushButton_svetlo5->show();
        ui->pushButton_svetlo5_2->hide();
    }
    else
    {
        ui->pushButton_svetlo5_2->show();
        ui->pushButton_svetlo5->hide();
    }
    if(obyvacka_svetlo_7==0)
    {
        ui->pushButton_svetlo7->show();
        ui->pushButton_svetlo7_2->hide();
    }
    else
    {
        ui->pushButton_svetlo7_2->show();
        ui->pushButton_svetlo7->hide();
    }
    if(obyvacka_svetlo_8==0)
    {
        ui->pushButton_svetlo8->show();
        ui->pushButton_svetlo8_2->hide();
    }
    else
    {
        ui->pushButton_svetlo8_2->show();
        ui->pushButton_svetlo8->hide();
    }
}

void MainWindow::on_toolButton_2_clicked()
{
    int i=0;
    i=ui->lcdNumber_teplota->value();
    i=i++;
    ui->lcdNumber_teplota->display(i);
}

void MainWindow::on_toolButton_clicked()
{
    int i=0;
    i=ui->lcdNumber_teplota->value();
    i=i--;
    ui->lcdNumber_teplota->display(i);
}

void MainWindow::on_pushButton_svetlo1_clicked()
{



    ui->pushButton_svetlo1->hide();
    ui->pushButton_svetlo1_2->show();
    obyvacka_svetlo_1=1;

}

void MainWindow::on_pushButton_svetlo2_clicked()
{
    ui->pushButton_svetlo2->hide();
    ui->pushButton_svetlo2_2->show();
    obyvacka_svetlo_2=1;
}

void MainWindow::on_pushButton_svetlo3_clicked()
{
    ui->pushButton_svetlo3->hide();
    ui->pushButton_svetlo3_2->show();
    obyvacka_svetlo_3=1;
}
void MainWindow::on_pushButton_svetlo4_clicked()
{
    ui->pushButton_svetlo4->hide();
    ui->pushButton_svetlo4_2->show();
    obyvacka_svetlo_4=1;
}
void MainWindow::on_pushButton_svetlo5_clicked()
{
    ui->pushButton_svetlo5->hide();
    ui->pushButton_svetlo5_2->show();
    obyvacka_svetlo_5=1;
}
void MainWindow::on_pushButton_svetlo6_clicked()
{
    ui->pushButton_svetlo6->hide();
    ui->pushButton_svetlo6_2->show();
    obyvacka_svetlo_6=1;
}
void MainWindow::on_pushButton_svetlo7_clicked()
{
    ui->pushButton_svetlo7->hide();
    ui->pushButton_svetlo7_2->show();
    obyvacka_svetlo_7=1;
}
void MainWindow::on_pushButton_svetlo8_clicked()
{
    ui->pushButton_svetlo8->hide();
    ui->pushButton_svetlo8_2->show();
    obyvacka_svetlo_8=1;
}
void MainWindow::on_pushButton_svetlo1_2_clicked()
{
    ui->pushButton_svetlo1->show();
    ui->pushButton_svetlo1_2->hide();
    obyvacka_svetlo_1=0;

}
void MainWindow::on_pushButton_svetlo2_2_clicked()
{
    ui->pushButton_svetlo2->show();
    ui->pushButton_svetlo2_2->hide();
    obyvacka_svetlo_2=0;
}
void MainWindow::on_pushButton_svetlo3_2_clicked()
{
    ui->pushButton_svetlo3->show();
    ui->pushButton_svetlo3_2->hide();
    obyvacka_svetlo_3=0;
}
void MainWindow::on_pushButton_svetlo4_2_clicked()
{
    ui->pushButton_svetlo4->show();
    ui->pushButton_svetlo4_2->hide();
    obyvacka_svetlo_4=0;
}
void MainWindow::on_pushButton_svetlo5_2_clicked()
{
    ui->pushButton_svetlo5->show();
    ui->pushButton_svetlo5_2->hide();
    obyvacka_svetlo_5=0;
}
void MainWindow::on_pushButton_svetlo6_2_clicked()
{
    ui->pushButton_svetlo6->show();
    ui->pushButton_svetlo6_2->hide();
    obyvacka_svetlo_6=0;
}
void MainWindow::on_pushButton_svetlo7_2_clicked()
{
    ui->pushButton_svetlo7->show();
    ui->pushButton_svetlo7_2->hide();
    obyvacka_svetlo_7=0;
}
void MainWindow::on_pushButton_svetlo8_2_clicked()
{
    ui->pushButton_svetlo8->show();
    ui->pushButton_svetlo8_2->hide();
    obyvacka_svetlo_8=0;
}

void MainWindow::on_toolButton_kalkulacka_clicked()
{
    kalkulacka();

}

void MainWindow::on_pushButton_zatiahnut_obyvacka_clicked()
{
    ui->verticalSlider_obyvacka1->setValue(100);
    ui->verticalSlider_obyvacka2->setValue(100);
    ui->verticalSlider_obyvacka3->setValue(100);
}

void MainWindow::on_pushButton_vytiahnut_obyvacka_clicked()
{
    ui->verticalSlider_obyvacka1->setValue(0);
    ui->verticalSlider_obyvacka2->setValue(0);
    ui->verticalSlider_obyvacka3->setValue(0);
}

void MainWindow::on_pushButton_obyvacka_zhasnut_clicked()
{
    ui->pushButton_svetlo1->show();
    ui->pushButton_svetlo1_2->hide();
    ui->pushButton_svetlo2->show();
    ui->pushButton_svetlo2_2->hide();
    ui->pushButton_svetlo3->show();
    ui->pushButton_svetlo3_2->hide();
    ui->pushButton_svetlo4->show();
    ui->pushButton_svetlo4_2->hide();
    ui->pushButton_svetlo5->show();
    ui->pushButton_svetlo5_2->hide();
    ui->pushButton_svetlo6->show();
    ui->pushButton_svetlo6_2->hide();
    ui->pushButton_svetlo7->show();
    ui->pushButton_svetlo7_2->hide();
    ui->pushButton_svetlo8->show();
    ui->pushButton_svetlo8_2->hide();

    obyvacka_svetlo_1=0;
    obyvacka_svetlo_2=0;
    obyvacka_svetlo_3=0;
    obyvacka_svetlo_4=0;
    obyvacka_svetlo_5=0;
    obyvacka_svetlo_6=0;
    obyvacka_svetlo_7=0;
    obyvacka_svetlo_8=0;
}

void MainWindow::on_toolButton_kuchyna_clicked()
{
    ui->frame_izby->hide();
    ui->frame_kuchyna->show();
    ui->verticalSlider_kuchyna1->setValue(kuchyna_roleta_1);
    ui->verticalSlider_kuchyna2->setValue(kuchyna_roleta_2);
    ui->verticalSlider_kuchyna3->setValue(kuchyna_roleta_3);
    if(kuchyna_svetlo_1==0)
    {
        ui->pushButton_svetlo1_5->show();
        ui->pushButton_svetlo1_6->hide();
    }
    else
    {
        ui->pushButton_svetlo1_6->show();
        ui->pushButton_svetlo1_5->hide();
    }
    if(kuchyna_svetlo_2==0)
    {
        ui->pushButton_svetlo2_5->show();
        ui->pushButton_svetlo2_6->hide();
    }
    else
    {
        ui->pushButton_svetlo2_6->show();
        ui->pushButton_svetlo2_5->hide();
    }

    if(kuchyna_svetlo_3==0)
    {
        ui->pushButton_svetlo3_5->show();
        ui->pushButton_svetlo3_6->hide();
    }
    else
    {
        ui->pushButton_svetlo3_6->show();
        ui->pushButton_svetlo3_5->hide();
    }
    if(kuchyna_svetlo_4==0)
    {
        ui->pushButton_svetlo4_5->show();
        ui->pushButton_svetlo4_6->hide();
    }
    else
    {
        ui->pushButton_svetlo4_6->show();
        ui->pushButton_svetlo4_5->hide();
    }
}

void MainWindow::on_toolButton_spat3_3_clicked()
{
    ui->frame_kuchyna->hide();
    ui->frame_izby->show();
}

void MainWindow::on_pushButton_svetlo1_5_clicked()
{



    ui->pushButton_svetlo1_5->hide();
    ui->pushButton_svetlo1_6->show();
    kuchyna_svetlo_1=1;

}

void MainWindow::on_pushButton_svetlo2_5_clicked()
{
    ui->pushButton_svetlo2_5->hide();
    ui->pushButton_svetlo2_6->show();
    kuchyna_svetlo_2=1;
}

void MainWindow::on_pushButton_svetlo3_5_clicked()
{
    ui->pushButton_svetlo3_5->hide();
    ui->pushButton_svetlo3_6->show();
    kuchyna_svetlo_3=1;
}
void MainWindow::on_pushButton_svetlo4_5_clicked()
{
    ui->pushButton_svetlo4_5->hide();
    ui->pushButton_svetlo4_6->show();
    kuchyna_svetlo_4=1;
}


void MainWindow::on_pushButton_svetlo1_6_clicked()
{
    ui->pushButton_svetlo1_5->show();
    ui->pushButton_svetlo1_6->hide();
    kuchyna_svetlo_1=0;
}
void MainWindow::on_pushButton_svetlo2_6_clicked()
{
    ui->pushButton_svetlo2_5->show();
    ui->pushButton_svetlo2_6->hide();
    kuchyna_svetlo_2=0;
}
void MainWindow::on_pushButton_svetlo3_6_clicked()
{
    ui->pushButton_svetlo3_5->show();
    ui->pushButton_svetlo3_6->hide();
    kuchyna_svetlo_3=0;
}
void MainWindow::on_pushButton_svetlo4_6_clicked()
{
    ui->pushButton_svetlo4_5->show();
    ui->pushButton_svetlo4_6->hide();
    kuchyna_svetlo_4=0;
}


void MainWindow::on_pushButton_kuchyna_zhasnut_clicked()
{
    ui->pushButton_svetlo1_5->show();
    ui->pushButton_svetlo1_6->hide();
    ui->pushButton_svetlo2_5->show();
    ui->pushButton_svetlo2_6->hide();
    ui->pushButton_svetlo3_5->show();
    ui->pushButton_svetlo3_6->hide();
    ui->pushButton_svetlo4_5->show();
    ui->pushButton_svetlo4_6->hide();

    kuchyna_svetlo_1=0;
    kuchyna_svetlo_2=0;
    kuchyna_svetlo_3=0;
    kuchyna_svetlo_4=0;

}

void MainWindow::on_toolButton_5_clicked()
{
    int i=0;
    i=ui->lcdNumber_teplota_3->value();
    i=i--;
    ui->lcdNumber_teplota_3->display(i);
}

void MainWindow::on_toolButton_6_clicked()
{
    int i=0;
    i=ui->lcdNumber_teplota_3->value();
    i=i++;
    ui->lcdNumber_teplota_3->display(i);
}

void MainWindow::on_pushButton_vytiahnut_kuchyna_clicked()
{
    ui->verticalSlider_kuchyna1->setValue(0);
    ui->verticalSlider_kuchyna2->setValue(0);
    ui->verticalSlider_kuchyna3->setValue(0);
}

void MainWindow::on_pushButton_zatiahnut_kuchyna_clicked()
{
    ui->verticalSlider_kuchyna1->setValue(100);
    ui->verticalSlider_kuchyna2->setValue(100);
    ui->verticalSlider_kuchyna3->setValue(100);
}

void MainWindow::on_toolButton_osvetlenie_clicked()
{
    ui->frame_osvetlenie->show();
    ui->frame_ovladanie->hide();
    if(obyvacka_svetlo_1==0)
    {
        ui->pushButton_obyvacka_svetlo_1_0->show();
        ui->pushButton_obyvacka_svetlo_1_1->hide();
    }
    else
    {
        ui->pushButton_obyvacka_svetlo_1_1->show();
        ui->pushButton_obyvacka_svetlo_1_0->hide();
    }

    if(obyvacka_svetlo_2==0)
    {
        ui->pushButton_obyvacka_svetlo_2_0->show();
        ui->pushButton_obyvacka_svetlo_2_1->hide();
    }
    else
    {
        ui->pushButton_obyvacka_svetlo_2_1->show();
        ui->pushButton_obyvacka_svetlo_2_0->hide();
    }

    if(obyvacka_svetlo_3==0)
    {
        ui->pushButton_obyvacka_svetlo_3_0->show();
        ui->pushButton_obyvacka_svetlo_3_1->hide();
    }
    else
    {
        ui->pushButton_obyvacka_svetlo_3_1->show();
        ui->pushButton_obyvacka_svetlo_3_0->hide();
    }

    if(obyvacka_svetlo_4==0)
    {
        ui->pushButton_obyvacka_svetlo_4_0->show();
        ui->pushButton_obyvacka_svetlo_4_1->hide();
    }
    else
    {
        ui->pushButton_obyvacka_svetlo_4_1->show();
        ui->pushButton_obyvacka_svetlo_4_0->hide();
    }

    if(obyvacka_svetlo_5==0)
    {
        ui->pushButton_obyvacka_svetlo_5_0->show();
        ui->pushButton_obyvacka_svetlo_5_1->hide();
    }
    else
    {
        ui->pushButton_obyvacka_svetlo_5_1->show();
        ui->pushButton_obyvacka_svetlo_5_0->hide();
    }

    if(obyvacka_svetlo_6==0)
    {
        ui->pushButton_obyvacka_svetlo_6_0->show();
        ui->pushButton_obyvacka_svetlo_6_1->hide();
    }
    else
    {
        ui->pushButton_obyvacka_svetlo_6_1->show();
        ui->pushButton_obyvacka_svetlo_6_0->hide();
    }

    if(obyvacka_svetlo_7==0)
    {
        ui->pushButton_obyvacka_svetlo_7_0->show();
        ui->pushButton_obyvacka_svetlo_7_1->hide();
    }
    else
    {
        ui->pushButton_obyvacka_svetlo_7_1->show();
        ui->pushButton_obyvacka_svetlo_7_0->hide();
    }

    if(obyvacka_svetlo_8==0)
    {
        ui->pushButton_obyvacka_svetlo_8_0->show();
        ui->pushButton_obyvacka_svetlo_8_1->hide();
    }
    else
    {
        ui->pushButton_obyvacka_svetlo_8_1->show();
        ui->pushButton_obyvacka_svetlo_8_0->hide();
    }

    if(kuchyna_svetlo_1==0)
    {
        ui->pushButton_kuchyna_svetlo_1_0->show();
        ui->pushButton_kuchyna_svetlo_1_1->hide();
    }
    else
    {
        ui->pushButton_kuchyna_svetlo_1_0->hide();
        ui->pushButton_kuchyna_svetlo_1_1->show();
    }
    if(kuchyna_svetlo_2==0)
    {
        ui->pushButton_kuchyna_svetlo_2_0->show();
        ui->pushButton_kuchyna_svetlo_2_1->hide();
    }
    else
    {
        ui->pushButton_kuchyna_svetlo_2_0->hide();
        ui->pushButton_kuchyna_svetlo_2_1->show();
    }

    if(kuchyna_svetlo_3==0)
    {
        ui->pushButton_kuchyna_svetlo_3_0->show();
        ui->pushButton_kuchyna_svetlo_3_1->hide();
    }
    else
    {
        ui->pushButton_kuchyna_svetlo_3_0->hide();
        ui->pushButton_kuchyna_svetlo_3_1->show();
    }
    if(kuchyna_svetlo_4==0)
    {
        ui->pushButton_kuchyna_svetlo_4_0->show();
        ui->pushButton_kuchyna_svetlo_4_1->hide();
    }
    else
    {
        ui->pushButton_kuchyna_svetlo_4_0->hide();
        ui->pushButton_kuchyna_svetlo_4_1->show();
    }
    if(chodba_svetlo_1==0)
    {
        ui->pushButton_chodba_svetlo_1_0->show();
        ui->pushButton_chodba_svetlo_1_1->hide();
    }
    else
    {
        ui->pushButton_chodba_svetlo_1_0->hide();
        ui->pushButton_chodba_svetlo_1_1->show();
        }
    if(kupelna_svetlo_1==0)
        {
            ui->pushButton_kupelna_svetlo_1_0->show();
            ui->pushButton_kupelna_svetlo_1_1->hide();
        }
    else
        {
            ui->pushButton_kupelna_svetlo_1_0->hide();
            ui->pushButton_kupelna_svetlo_1_1->show();
        }
    if(spalna_svetlo_1==0)
            {
                ui->pushButton_spalna_svetlo_1_0->show();
                ui->pushButton_spalna_svetlo_1_1->hide();
            }
     else
            {
                ui->pushButton_spalna_svetlo_1_0->hide();
                ui->pushButton_spalna_svetlo_1_1->show();
            }
}

void MainWindow::on_toolButton_spat3_4_clicked()
{
    ui->frame_osvetlenie->hide();
    ui->frame_ovladanie->show();
}

void MainWindow::on_pushButton_obyvacka_svetlo_1_0_clicked()
{
    ui->pushButton_obyvacka_svetlo_1_0->hide();
    ui->pushButton_obyvacka_svetlo_1_1->show();
    obyvacka_svetlo_1=1;
}

void MainWindow::on_pushButton_obyvacka_svetlo_1_1_clicked()
{
    ui->pushButton_obyvacka_svetlo_1_0->show();
    ui->pushButton_obyvacka_svetlo_1_1->hide();
    obyvacka_svetlo_1=0;
}

void MainWindow::on_pushButton_obyvacka_svetlo_2_0_clicked()
{
    ui->pushButton_obyvacka_svetlo_2_0->hide();
    ui->pushButton_obyvacka_svetlo_2_1->show();
    obyvacka_svetlo_2=1;
}

void MainWindow::on_pushButton_obyvacka_svetlo_2_1_clicked()
{
    ui->pushButton_obyvacka_svetlo_2_0->show();
    ui->pushButton_obyvacka_svetlo_2_1->hide();
    obyvacka_svetlo_2=0;
}

void MainWindow::on_pushButton_obyvacka_svetlo_3_0_clicked()
{
    ui->pushButton_obyvacka_svetlo_3_0->hide();
    ui->pushButton_obyvacka_svetlo_3_1->show();
    obyvacka_svetlo_3=1;
}

void MainWindow::on_pushButton_obyvacka_svetlo_3_1_clicked()
{
    ui->pushButton_obyvacka_svetlo_3_0->show();
    ui->pushButton_obyvacka_svetlo_3_1->hide();
    obyvacka_svetlo_3=0;
}

void MainWindow::on_pushButton_obyvacka_svetlo_4_0_clicked()
{
    ui->pushButton_obyvacka_svetlo_4_0->hide();
    ui->pushButton_obyvacka_svetlo_4_1->show();
    obyvacka_svetlo_4=1;
}

void MainWindow::on_pushButton_obyvacka_svetlo_4_1_clicked()
{
    ui->pushButton_obyvacka_svetlo_4_0->show();
    ui->pushButton_obyvacka_svetlo_4_1->hide();
    obyvacka_svetlo_4=0;
}

void MainWindow::on_pushButton_obyvacka_svetlo_5_0_clicked()
{
    ui->pushButton_obyvacka_svetlo_5_0->hide();
    ui->pushButton_obyvacka_svetlo_5_1->show();
    obyvacka_svetlo_5=1;
}

void MainWindow::on_pushButton_obyvacka_svetlo_5_1_clicked()
{
    ui->pushButton_obyvacka_svetlo_5_0->show();
    ui->pushButton_obyvacka_svetlo_5_1->hide();
    obyvacka_svetlo_5=0;
}

void MainWindow::on_pushButton_obyvacka_svetlo_6_0_clicked()
{
    ui->pushButton_obyvacka_svetlo_6_0->hide();
    ui->pushButton_obyvacka_svetlo_6_1->show();
    obyvacka_svetlo_6=1;
}

void MainWindow::on_pushButton_obyvacka_svetlo_6_1_clicked()
{
    ui->pushButton_obyvacka_svetlo_6_0->show();
    ui->pushButton_obyvacka_svetlo_6_1->hide();
    obyvacka_svetlo_6=0;
}

void MainWindow::on_pushButton_obyvacka_svetlo_7_0_clicked()
{
    ui->pushButton_obyvacka_svetlo_7_0->hide();
    ui->pushButton_obyvacka_svetlo_7_1->show();
    obyvacka_svetlo_7=1;
}

void MainWindow::on_pushButton_obyvacka_svetlo_7_1_clicked()
{
    ui->pushButton_obyvacka_svetlo_7_0->show();
    ui->pushButton_obyvacka_svetlo_7_1->hide();
    obyvacka_svetlo_7=0;
}

void MainWindow::on_pushButton_obyvacka_svetlo_8_0_clicked()
{
    ui->pushButton_obyvacka_svetlo_8_0->hide();
    ui->pushButton_obyvacka_svetlo_8_1->show();
    obyvacka_svetlo_8=1;
}

void MainWindow::on_pushButton_obyvacka_svetlo_8_1_clicked()
{
    ui->pushButton_obyvacka_svetlo_8_0->show();
    ui->pushButton_obyvacka_svetlo_8_1->hide();
    obyvacka_svetlo_8=0;
}


void MainWindow::on_toolButton_rolety_clicked()
{
    ui->frame_rolety->show();
    ui->frame_ovladanie->hide();
    ui->verticalSlider_obyvacka_roleta_1->setValue(obyvacka_roleta_1);
    ui->verticalSlider_obyvacka_roleta_2->setValue(obyvacka_roleta_2);
    ui->verticalSlider_obyvacka_roleta_3->setValue(obyvacka_roleta_3);
    ui->verticalSlider_kuchyna_roleta_1->setValue(kuchyna_roleta_1);
    ui->verticalSlider_kuchyna_roleta_2->setValue(kuchyna_roleta_2);
    ui->verticalSlider_kuchyna_roleta_3->setValue(kuchyna_roleta_3);
}

void MainWindow::on_toolButton_spat3_5_clicked()
{
    ui->frame_rolety->hide();
    ui->frame_ovladanie->show();
}

void MainWindow::on_verticalSlider_obyvacka1_valueChanged(int value)
{
    obyvacka_roleta_1=value;
}

void MainWindow::on_verticalSlider_obyvacka2_valueChanged(int value)
{
    obyvacka_roleta_2=value;
}

void MainWindow::on_verticalSlider_obyvacka3_valueChanged(int value)
{
    obyvacka_roleta_3=value;
}

void MainWindow::on_verticalSlider_obyvacka_roleta_2_valueChanged(int value)
{
    obyvacka_roleta_2=value;
}

void MainWindow::on_verticalSlider_obyvacka_roleta_1_valueChanged(int value)
{
    obyvacka_roleta_1=value;
}

void MainWindow::on_verticalSlider_obyvacka_roleta_3_valueChanged(int value)
{
    obyvacka_roleta_3=value;
}

void MainWindow::on_verticalSlider_kuchyna1_valueChanged(int value)
{
    kuchyna_roleta_1=value;
}

void MainWindow::on_verticalSlider_kuchyna2_valueChanged(int value)
{
    kuchyna_roleta_2=value;
}

void MainWindow::on_verticalSlider_kuchyna3_valueChanged(int value)
{
    kuchyna_roleta_3=value;
}

void MainWindow::on_verticalSlider_kuchyna_roleta_1_valueChanged(int value)
{
    kuchyna_roleta_1=value;
}

void MainWindow::on_verticalSlider_kuchyna_roleta_2_valueChanged(int value)
{
    kuchyna_roleta_2=value;
}

void MainWindow::on_verticalSlider_kuchyna_roleta_3_valueChanged(int value)
{
    kuchyna_roleta_3=value;
}

void MainWindow::on_pushButton_kuchyna_svetlo_1_0_clicked()
{
    ui->pushButton_kuchyna_svetlo_1_0->hide();
    ui->pushButton_kuchyna_svetlo_1_1->show();
    kuchyna_svetlo_1=1;
}

void MainWindow::on_pushButton_kuchyna_svetlo_1_1_clicked()
{
    ui->pushButton_kuchyna_svetlo_1_0->show();
    ui->pushButton_kuchyna_svetlo_1_1->hide();
    kuchyna_svetlo_1=0;
}

void MainWindow::on_pushButton_kuchyna_svetlo_2_0_clicked()
{
    ui->pushButton_kuchyna_svetlo_2_0->hide();
    ui->pushButton_kuchyna_svetlo_2_1->show();
    kuchyna_svetlo_2=1;
}



void MainWindow::on_pushButton_kuchyna_svetlo_2_1_clicked()
{
    ui->pushButton_kuchyna_svetlo_2_0->show();
    ui->pushButton_kuchyna_svetlo_2_1->hide();
    kuchyna_svetlo_2=0;
}

void MainWindow::on_pushButton_kuchyna_svetlo_3_0_clicked()
{
    ui->pushButton_kuchyna_svetlo_3_0->hide();
    ui->pushButton_kuchyna_svetlo_3_1->show();
    kuchyna_svetlo_3=1;
}

void MainWindow::on_pushButton_kuchyna_svetlo_3_1_clicked()
{
    ui->pushButton_kuchyna_svetlo_3_0->show();
    ui->pushButton_kuchyna_svetlo_3_1->hide();
    kuchyna_svetlo_3=0;
}

void MainWindow::on_pushButton_kuchyna_svetlo_4_0_clicked()
{
    ui->pushButton_kuchyna_svetlo_4_0->hide();
    ui->pushButton_kuchyna_svetlo_4_1->show();
    kuchyna_svetlo_4=1;
}

void MainWindow::on_pushButton_kuchyna_svetlo_4_1_clicked()
{
    ui->pushButton_kuchyna_svetlo_4_0->show();
    ui->pushButton_kuchyna_svetlo_4_1->hide();
    kuchyna_svetlo_4=0;
}

void MainWindow::on_pushButton_clicked()
{
    ui->frame_hodiny->hide();
    ui->frame_menu->show();
    timer->start(screensaver);

}

void MainWindow::on_toolButton_poznamky_clicked()
{
    tablet();
}

void MainWindow::on_pushButton_chodba_svetlo_1_0_clicked()
{
    ui->pushButton_chodba_svetlo_1_0->hide();
    ui->pushButton_chodba_svetlo_1_1->show();
    chodba_svetlo_1=1;
}

void MainWindow::on_pushButton_chodba_svetlo_1_1_clicked()
{
    ui->pushButton_chodba_svetlo_1_0->show();
    ui->pushButton_chodba_svetlo_1_1->hide();
    chodba_svetlo_1=0;
}

void MainWindow::on_pushButton_kupelna_svetlo_1_0_clicked()
{
    ui->pushButton_kupelna_svetlo_1_0->hide();
    ui->pushButton_kupelna_svetlo_1_1->show();
    kupelna_svetlo_1=1;
}

void MainWindow::on_pushButton_kupelna_svetlo_1_1_clicked()
{
    ui->pushButton_kupelna_svetlo_1_0->show();
    ui->pushButton_kupelna_svetlo_1_1->hide();
    kupelna_svetlo_1=0;
}

void MainWindow::on_pushButton_spalna_svetlo_1_0_clicked()
{
    ui->pushButton_spalna_svetlo_1_0->hide();
    ui->pushButton_spalna_svetlo_1_1->show();
    spalna_svetlo_1=1;
}

void MainWindow::on_pushButton_spalna_svetlo_1_1_clicked()
{
    ui->pushButton_spalna_svetlo_1_0->show();
    ui->pushButton_spalna_svetlo_1_1->hide();
    spalna_svetlo_1=0;
}

void MainWindow::on_pushButton_obyvacka_aktualna_clicked()
{
    QFile subor_teplota("XML/teplota.txt");
    subor_teplota.open(QIODevice::ReadWrite | QIODevice::Text);
    QTextStream in(&subor_teplota);
    QTextStream out(&subor_teplota);
    in>>obyvacka_teplota;
    subor_teplota.reset();
    out << "Tu bola ulozena teplota!";
    subor_teplota.close();
    ui->lcdNumber_teplota_4->display(obyvacka_teplota);
}
